Index: binaries/data/mods/public/simulation/data/auras/athen_hero_iphicrates_1.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/athen_hero_iphicrates_1.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/athen_hero_iphicrates_1.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "formation",
-	"affects": ["Unit"],
+	"affects": ["Soldier"],
 	"modifications": [
 	{ "value": "Armour/Pierce", "add": 1 },
 	{ "value": "Armour/Hack", "add": 1 },
 	{ "value": "Armour/Crush", "add": 1 },
 	{ "value": "UnitMotion/WalkSpeed", "multiply": 1.15 }
Index: binaries/data/mods/public/simulation/data/auras/athen_hero_iphicrates_2.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/athen_hero_iphicrates_2.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/athen_hero_iphicrates_2.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "global",
 	"affects": ["Javelin"],
 	"modifications": [
-	{ "value": "UnitMotion/WalkSpeed", "add": 1.15 }
+	{ "value": "UnitMotion/WalkSpeed", "multiply": 1.15 }
 	],
 	"auraName": "Peltast Reforms",
 	"auraDescription": "All Peltasts +15% speed."
 }
Index: binaries/data/mods/public/simulation/data/auras/athen_hero_themistocles_2.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/athen_hero_themistocles_2.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/athen_hero_themistocles_2.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "global",
 	"affects": ["Ship"],
 	"modifications": [
-	{ "value": "Cost.BuildTime", "multiply": 0.8 }
+	{ "value": "Cost/BuildTime", "multiply": 0.8 }
 	],
 	"auraName": "Naval Architect Aura",
 	"auraDescription": "-20% build time for ships during his lifespan."
 }
Index: binaries/data/mods/public/simulation/data/auras/brit_hero_caratacos.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/brit_hero_caratacos.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/brit_hero_caratacos.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "global",
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"modifications": [
 	{ "value": "UnitMotion/WalkSpeed", "multiply": 1.15 }
 	],
 	"auraName": "Hero Aura",
 	"auraDescription": "All Units +15% speed."
Index: binaries/data/mods/public/simulation/data/auras/brit_hero_cunobelin.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/brit_hero_cunobelin.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/brit_hero_cunobelin.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "range",
 	"radius": 60,
-	"affects": ["Unit"],
+	"affects": ["Human"],
 	"modifications": [
 	{ "value": "Health/RegenRate", "add": 1 }
 	],
 	"auraName": "Hero Aura",
 	"auraDescription": "+1 HP per second healing rate for all units.",
Index: binaries/data/mods/public/simulation/data/auras/cart_hero_hamilcar.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/cart_hero_hamilcar.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/cart_hero_hamilcar.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "global",
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"modifications": [
 	{ "value": "UnitMotion/WalkSpeed", "multiply": 1.15 }
 	],
 	"auraName": "Lightning Aura",
 	"auraDescription": "All Units +15% speed."
Index: binaries/data/mods/public/simulation/data/auras/cart_hero_hannibal.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/cart_hero_hannibal.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/cart_hero_hannibal.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "range",
 	"radius": 60,
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"affectedPlayers": ["Ally"],
 	"modifications": [
 	{ "value": "Attack/Ranged/Pierce", "add": 2 },
 	{ "value": "Attack/Melee/Hack", "add": 2 },
 	{ "value": "Attack/Capture/Value", "add": 1 }
Index: binaries/data/mods/public/simulation/data/auras/gaul_hero_brennus.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/gaul_hero_brennus.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/gaul_hero_brennus.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "global",
-	"affects": ["Unit"],
+	"affects": ["Human", "Mechanical"],
 	"modifications": [
 	{ "value": "Looter/Resource/metal", "add": 10 }
 	],
 	"auraName": "Hero Aura",
 	"auraDescription": "+10 Metal loot for every enemy unit killed."
Index: binaries/data/mods/public/simulation/data/auras/gaul_hero_vercingetorix.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/gaul_hero_vercingetorix.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/gaul_hero_vercingetorix.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "range",
 	"radius": 60,
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"modifications": [
 	{ "value": "Attack/Ranged/Pierce", "add": 2 },
 	{ "value": "Attack/Melee/Hack", "add": 2 },
 	{ "value": "Attack/Capture/Value", "add": 1 }
 	],
Index: binaries/data/mods/public/simulation/data/auras/iber_monument.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/iber_monument.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/iber_monument.json	(copie de travail)
@@ -1,10 +1,12 @@
 {
 	"type": "range",
 	"radius": 50,
-	"affects": ["Unit"],
+	"affects": ["Soldier"],
 	"modifications": [
 	{ "value": "Attack/Melee/Hack", "add": 2 },
 	{"value": "Attack/Ranged/Pierce", "add": 3 }
 	],
+	"auraName": "Defensive Aura",
+	"auraDescription": "Gives all Iberian units in Aura +2 Hack and +5 Pierce Attack boost.",
 	"overlayIcon": "art/textures/ui/session/auras/attack_bonus.png"
 }
Index: binaries/data/mods/public/simulation/data/auras/pers_hero_darius.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/pers_hero_darius.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/pers_hero_darius.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "global",
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"modifications": [
 	{ "value": "UnitMotion/WalkSpeed", "multiply": 1.15 }
 	],
 	"auraName": "Leadership Aura",
 	"auraDescription": "+15% Movement Speed for all units."
Index: binaries/data/mods/public/simulation/data/auras/ptol_hero_cleopatra.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/ptol_hero_cleopatra.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/ptol_hero_cleopatra.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "range",
 	"radius": 60,
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"modifications": [
 	{ "value": "Attack/Melee/RepeatTime", "multiply": 0.8 },
 	{ "value": "Attack/Ranged/RepeatTime", "multiply": 0.8 }
 	],
 	"auraName": "Patriot Aura",
Index: binaries/data/mods/public/simulation/data/auras/rome_hero_marcellus.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/rome_hero_marcellus.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/rome_hero_marcellus.json	(copie de travail)
@@ -1,9 +1,9 @@
 {
 	"type": "range",
 	"radius": 60,
-	"affects": ["Unit"],
+	"affects": ["Soldier", "Siege"],
 	"modifications": [
 	{ "value": "Attack/Ranged/Pierce", "add": 5 },
 	{ "value": "Attack/Ranged/Hack", "add": 5 },
 	{ "value": "Attack/Capture/Value", "add": 2 }
 	],
Index: binaries/data/mods/public/simulation/data/auras/rome_hero_maximus.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/rome_hero_maximus.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/rome_hero_maximus.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "global",
-	"affects": ["Unit", "Structure"],
+	"affects": ["Human", "Structure"],
 	"modifications": [
 	{ "value": "Armour/Pierce", "add": 1 },
 	{ "value": "Armour/Hack", "add": 1 },
 	{ "value": "Armour/Crush", "add": 1 }
 	],
Index: binaries/data/mods/public/simulation/data/auras/sele_hero_seleucus_victor.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/sele_hero_seleucus_victor.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/sele_hero_seleucus_victor.json	(copie de travail)
@@ -2,12 +2,12 @@
 	"type": "range",
 	"radius": 80,
 	"affects": ["Elephant"],
 	"modifications": [
 	{ "value": "UnitMotion/WalkSpeed>", "multiply": 1.2 },
-	{ "value": "Attack.Melee.Hack>", "multiply": 1.2 },
-	{ "value": "Attack.Melee.Crush>", "multiply": 1.2 }
+	{ "value": "Attack/Melee/Hack>", "multiply": 1.2 },
+	{ "value": "Attack/Melee/Crush>", "multiply": 1.2 }
 	],
 	"auraName": "Zooiarchos Aura",
 	"auraDescription": "Boosts War Elephant attack and speed +20% within his vision.",
 	"overlayIcon": "art/textures/ui/session/auras/attack_bonus.png"
 }
Index: binaries/data/mods/public/simulation/data/auras/wall_garrisoned.json
===================================================================
--- binaries/data/mods/public/simulation/data/auras/wall_garrisoned.json	(révision 18118)
+++ binaries/data/mods/public/simulation/data/auras/wall_garrisoned.json	(copie de travail)
@@ -1,8 +1,8 @@
 {
 	"type": "garrisonedUnits",
-	"affects": ["Unit"],
+	"affects": ["Soldier"],
 	"modifications": [
 	{ "value": "Armour/Pierce", "add": 3 },
 	{ "value": "Armour/Hack", "add": 3 },
 	{ "value": "Armour/Crush", "add": 3 },
 	{ "value": "Vision/Range", "add": 20 }