Index: binaries/data/mods/public/simulation/templates/units/pers_cavalry_javelinist_a_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/pers_cavalry_javelinist_a_trireme.xml	(révision 18131)
+++ binaries/data/mods/public/simulation/templates/units/pers_cavalry_javelinist_a_trireme.xml	(copie de travail)
@@ -1,29 +1,12 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="units/pers_cavalry_javelinist_b_trireme">
-  <Armour>
-    <Hack>4</Hack>
-    <Pierce>2</Pierce>
-    <Crush>4</Crush>
-  </Armour>
-  <Attack>
-    <Ranged>
-      <MaxRange>44</MaxRange>
-      <Spread>1.3</Spread>
-    </Ranged>
-  </Attack>
-  <Health>
-    <Max>150</Max>
-  </Health>
   <Identity>
     <Rank>Advanced</Rank>
   </Identity>
   <Promotion>
     <Entity>units/pers_cavalry_javelinist_e_trireme</Entity>
   </Promotion>
-  <ResourceGatherer>
-    <BaseSpeed>0.75</BaseSpeed>
-  </ResourceGatherer>
   <VisualActor>
     <Actor>units/persians/cavalry_javelinist_a.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/units/pers_cavalry_javelinist_e_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/pers_cavalry_javelinist_e_trireme.xml	(révision 18131)
+++ binaries/data/mods/public/simulation/templates/units/pers_cavalry_javelinist_e_trireme.xml	(copie de travail)
@@ -1,27 +1,10 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="units/pers_cavalry_javelinist_a_trireme">
-  <Armour>
-    <Hack>5</Hack>
-    <Pierce>3</Pierce>
-    <Crush>5</Crush>
-  </Armour>
-  <Attack>
-    <Ranged>
-      <MaxRange>48</MaxRange>
-      <Spread>1.0</Spread>
-    </Ranged>
-  </Attack>
-  <Health>
-    <Max>160</Max>
-  </Health>
   <Identity>
     <Rank>Elite</Rank>
   </Identity>
   <Promotion disable=""/>
-  <ResourceGatherer>
-    <BaseSpeed>0.5</BaseSpeed>
-  </ResourceGatherer>
   <VisualActor>
     <Actor>units/persians/cavalry_javelinist_e.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/units/pers_cavalry_swordsman_a_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/pers_cavalry_swordsman_a_trireme.xml	(révision 18131)
+++ binaries/data/mods/public/simulation/templates/units/pers_cavalry_swordsman_a_trireme.xml	(copie de travail)
@@ -1,37 +1,12 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="units/pers_cavalry_swordsman_b_trireme">
-  <Armour>
-    <Hack>5</Hack>
-    <Pierce>4</Pierce>
-    <Crush>5</Crush>
-  </Armour>
-  <Attack>
-    <Melee>
-      <Hack>20.5</Hack>
-    </Melee>
-    <Charge>
-      <Hack>25.0</Hack>
-    </Charge>
-  </Attack>
-  <Health>
-    <Max>160</Max>
-  </Health>
   <Identity>
     <Rank>Advanced</Rank>
   </Identity>
   <Promotion>
     <Entity>units/pers_cavalry_swordsman_e_trireme</Entity>
   </Promotion>
-  <ResourceGatherer>
-    <BaseSpeed>0.75</BaseSpeed>
-  </ResourceGatherer>
-  <UnitMotion>
-    <WalkSpeed>16</WalkSpeed>
-    <Run>
-      <Speed>25.0</Speed>
-    </Run>
-  </UnitMotion>
   <VisualActor>
     <Actor>units/persians/cavalry_swordsman_a.xml</Actor>
   </VisualActor>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/units/pers_cavalry_swordsman_e_trireme.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/pers_cavalry_swordsman_e_trireme.xml	(révision 18131)
+++ binaries/data/mods/public/simulation/templates/units/pers_cavalry_swordsman_e_trireme.xml	(copie de travail)
@@ -1,35 +1,10 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="units/pers_cavalry_swordsman_a_trireme">
-  <Armour>
-    <Hack>6</Hack>
-    <Pierce>5</Pierce>
-    <Crush>6</Crush>
-  </Armour>
-  <Attack>
-    <Melee>
-      <Hack>29.5</Hack>
-    </Melee>
-    <Charge>
-      <Hack>30.0</Hack>
-    </Charge>
-  </Attack>
-  <Health>
-    <Max>170</Max>
-  </Health>
   <Identity>
     <Rank>Elite</Rank>
   </Identity>
   <Promotion disable=""/>
-  <ResourceGatherer>
-    <BaseSpeed>0.5</BaseSpeed>
-  </ResourceGatherer>
-  <UnitMotion>
-    <WalkSpeed>15.5</WalkSpeed>
-    <Run>
-      <Speed>24.0</Speed>
-    </Run>
-  </UnitMotion>
   <VisualActor>
     <Actor>units/persians/cavalry_swordsman_e.xml</Actor>
   </VisualActor>
 </Entity>