Index: binaries/data/mods/public/simulation/templates/other/cart_tophet.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/other/cart_tophet.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/other/cart_tophet.xml	(copie de travail)
@@ -34,11 +34,11 @@
     <Static width="22.0" depth="24.0"/>
   </Obstruction>
   <TerritoryDecay disable=""/>
   <ProductionQueue>
     <Entities datatype="tokens">
-	  units/cart_champion_cavalry
+	  units/{civ}_champion_cavalry
     </Entities>
   </ProductionQueue>
   <Vision>
     <Range>40</Range>
   </Vision>
Index: binaries/data/mods/public/simulation/templates/other/maur_palace.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/other/maur_palace.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/other/maur_palace.xml	(copie de travail)
@@ -17,14 +17,14 @@
   </Obstruction>
   <ProductionQueue>
     <BatchTimeModifier>0.7</BatchTimeModifier>
     <Entities datatype="tokens">
       units/{civ}_support_female_citizen
-      units/maur_champion_maiden_archer
-      units/maur_hero_chanakya
-      units/maur_hero_maurya
-      units/maur_hero_ashoka
+      units/{civ}_champion_maiden_archer
+      units/{civ}_hero_chanakya
+      units/{civ}_hero_maurya
+      units/{civ}_hero_ashoka
     </Entities>
   </ProductionQueue>
   <TerritoryInfluence>
     <Root>false</Root>
     <Radius>38</Radius>
Index: binaries/data/mods/public/simulation/templates/structures/athen_dock.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/athen_dock.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/structures/athen_dock.xml	(copie de travail)
@@ -16,12 +16,12 @@
     <Static width="22.0" depth="26.0"/>
   </Obstruction>
   <ProductionQueue>
     <BatchTimeModifier>0.7</BatchTimeModifier>
     <Entities datatype="tokens">
-      units/athen_infantry_marine_archer_b
-      units/athen_champion_marine
+      units/{civ}_infantry_marine_archer_b
+      units/{civ}_champion_marine
     </Entities>
   </ProductionQueue>
   <VisualActor>
     <Actor>structures/athenians/dock.xml</Actor>
     <FoundationActor>structures/fndn_6x4_dock.xml</FoundationActor>
Index: binaries/data/mods/public/simulation/templates/structures/athen_royal_stoa.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/athen_royal_stoa.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/structures/athen_royal_stoa.xml	(copie de travail)
@@ -1,11 +1,6 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Entity parent="template_structure_civic_hellenic_royal_stoa">
   <Identity>
     <Civ>athen</Civ>
   </Identity>
-  <ProductionQueue>
-    <Entities datatype="tokens">
-      -units/mace_thorakites
-    </Entities>
-  </ProductionQueue>
 </Entity>
Index: binaries/data/mods/public/simulation/templates/structures/brit_crannog.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/brit_crannog.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/structures/brit_crannog.xml	(copie de travail)
@@ -32,16 +32,16 @@
   <Position>
     <Floating>true</Floating>
   </Position>
   <ProductionQueue>
     <Entities datatype="tokens">
-      units/brit_infantry_spearman_b
-      units/brit_infantry_slinger_b
-      units/brit_cavalry_javelinist_b
+      units/{civ}_infantry_spearman_b
+      units/{civ}_infantry_slinger_b
+      units/{civ}_cavalry_javelinist_b
       units/{civ}_ship_fishing
       units/{civ}_ship_merchant
-      units/brit_ship_trireme
+      units/{civ}_ship_trireme
     </Entities>
   </ProductionQueue>
   <RallyPointRenderer>
     <LinePassabilityClass>ship</LinePassabilityClass>
   </RallyPointRenderer>
Index: binaries/data/mods/public/simulation/templates/structures/merc_camp_egyptian.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/merc_camp_egyptian.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/structures/merc_camp_egyptian.xml	(copie de travail)
@@ -37,14 +37,14 @@
   <Obstruction>
     <Static width="23.5" depth="23.5"/>
   </Obstruction>
   <ProductionQueue>
     <Entities datatype="tokens">
-      units/ptol_infantry_spearman_merc_b
-	  units/ptol_infantry_swordsman_merc_b
-      units/ptol_cavalry_spearman_merc_b
-      units/ptol_cavalry_javelinist_merc_b
+      units/{civ}_infantry_spearman_merc_b
+      units/{civ}_infantry_swordsman_merc_b
+      units/{civ}_cavalry_spearman_merc_b
+      units/{civ}_cavalry_javelinist_merc_b
     </Entities>
     <Technologies datatype="tokens">
 	  upgrade_rank_advanced_infantry
 	  upgrade_rank_elite_infantry
 	  upgrade_rank_advanced_cavalry
Index: binaries/data/mods/public/simulation/templates/structures/ptol_mercenary_camp.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/structures/ptol_mercenary_camp.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/structures/ptol_mercenary_camp.xml	(copie de travail)
@@ -39,14 +39,14 @@
   <Obstruction>
     <Static width="23.5" depth="23.5"/>
   </Obstruction>
   <ProductionQueue>
     <Entities datatype="tokens">
-      units/ptol_infantry_spearman_merc_b
-	  units/ptol_infantry_swordsman_merc_b
-      units/ptol_cavalry_spearman_merc_b
-      units/ptol_cavalry_javelinist_merc_b
+      units/{civ}_infantry_spearman_merc_b
+      units/{civ}_infantry_swordsman_merc_b
+      units/{civ}_cavalry_spearman_merc_b
+      units/{civ}_cavalry_javelinist_merc_b
     </Entities>
     <Technologies datatype="tokens">
 	  upgrade_rank_advanced_infantry
 	  upgrade_rank_elite_infantry
 	  upgrade_rank_advanced_cavalry
Index: binaries/data/mods/public/simulation/templates/template_structure_civic_hellenic_royal_stoa.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/template_structure_civic_hellenic_royal_stoa.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/template_structure_civic_hellenic_royal_stoa.xml	(copie de travail)
@@ -45,13 +45,13 @@
     <Weight>65535</Weight>
   </TerritoryInfluence>
   <ProductionQueue>
     <BatchTimeModifier>0.7</BatchTimeModifier>
     <Entities datatype="tokens">
-      units/thrace_black_cloak
-      units/mace_thureophoros
-      units/mace_thorakites
+      units/{civ}_black_cloak
+      units/{civ}_thureophoros
+      units/{civ}_thorakites
     </Entities>
   </ProductionQueue>
   <Vision>
     <Range>40</Range>
   </Vision>
Index: binaries/data/mods/public/simulation/templates/units/merc_black_cloak.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/merc_black_cloak.xml	(nonexistent)
+++ binaries/data/mods/public/simulation/templates/units/merc_black_cloak.xml	(copie de travail)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="template_unit_champion_infantry_swordsman">
+  <Cost>
+    <BuildTime op="mul">0.5</BuildTime>
+    <Resources>
+      <food>0</food>
+      <metal op="mul">1.5</metal>
+    </Resources>
+  </Cost>
+  <Identity>
+    <Lang>greek</Lang>
+    <GenericName>Thracian Black Cloak</GenericName>
+    <SpecificName>Rhomphaiaphoros</SpecificName>
+    <History>Thracian tribesmen who wield the fiercesome rhomphaia polearm weapon in combat. They were ubiquitous mercenary swordsmen throughout Hellenistic times, sometimes even serving in two opposing armies.</History>
+    <VisibleClasses datatype="tokens">Mercenary</VisibleClasses>
+    <Icon>units/sele_infantry_swordsman.png</Icon>
+    <RequiredTechnology>phase_town</RequiredTechnology>
+  </Identity>
+  <VisualActor>
+    <Actor>units/hellenes/thracian_blackcloak.xml</Actor>
+  </VisualActor>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/units/merc_thorakites.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/merc_thorakites.xml	(nonexistent)
+++ binaries/data/mods/public/simulation/templates/units/merc_thorakites.xml	(copie de travail)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="template_unit_champion_infantry_swordsman">
+  <Armour>
+    <Hack op="add">2</Hack>
+    <Pierce op="add">2</Pierce>
+  </Armour>
+  <Attack>
+    <Melee>
+      <Hack op="add">-2</Hack>
+    </Melee>
+  </Attack>
+  <Cost>
+    <Resources>
+      <food>0</food>
+      <metal op="mul">2</metal>
+    </Resources>
+  </Cost>
+  <Identity>
+    <Lang>greek</Lang>
+	<GenericName>Armored Swordsman</GenericName>
+    <SpecificName>Thōrakitēs</SpecificName>
+    <History>Thōrakitai were soldiers similar to Thyreophóroi. The literal translation of the term is curassiers, which suggests that they may have worn a short Celtic mail shirt or possibly a thorax. Thorakitai were used in armies of the Hellenistic Period in a variety of tactical situations. They were a type of armored but mobile infantry who did not require a rigid formation to be effective in combat. From their name we can deduce that most wore armor and helmet. They bore a thureos (or thyreos), an oblong shield, and were armed with sword, javelins and spear, which were used according to their tactical use. It seems that the thorakitai were heavily armored thureophoroi, able to bear spears and do battle in a phalanx as well as irregularly attack the enemy in situations when such an action was required for tactical reasons, like to exploit or challenge rough terrain. Thorakitai are mentioned in the army of the Achaian League and in the army of the Seleucids. The Seleucid Thorakitai were used in the storming of the Elburz Range in 210 BC under Antiochus III. They were used with the lighter troops to climb the cliffs and fight hand to hand with the enemy who might have not been dislodged by the lighter troops in the assault. There is a tomb illustration from Sidon showing what could well be a thorakites. The fragmentary inscription indicates that he was an Anatolian.</History>
+    <Icon>units/mace_thorakites.png</Icon>
+	<RequiredTechnology>phase_city</RequiredTechnology>
+  </Identity>
+  <VisualActor>
+    <Actor>units/macedonians/thorakites.xml</Actor>
+  </VisualActor>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/units/merc_thureophoros.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/merc_thureophoros.xml	(nonexistent)
+++ binaries/data/mods/public/simulation/templates/units/merc_thureophoros.xml	(copie de travail)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Entity parent="template_unit_champion_infantry_javelinist">
+  <Cost>
+    <Resources>
+      <food>0</food>
+      <metal op="mul">2</metal>
+    </Resources>
+  </Cost>
+  <Identity>
+    <Lang>greek</Lang>
+    <GenericName>Heavy Skirmisher</GenericName>
+    <SpecificName>Thyreophóros</SpecificName>
+    <History>Thyreophóroi were a type of infantry soldier, common in the 3rd to 1st century BCE, who carried a large oval shield called a thureos which had a type of metal strip boss and a central spine. They were armed with a long thrusting spear, javelins and a sword. They also usually wore an iron or bronze Macedonian helmet. The thureos was probably originally an adapted form of a Celtic shield. Thracian and Illyrian infantry probably adopted the shield before the Greeks. However it has been suggested that the thureos was brought to Greece after Pyrrhus of Epirus' campaigns in Italy, as his Oscan allies and Roman enemies used the scutum. Thureophoroi were a 3rd century development on the Peltast and wore no body armor, but did wear sturdy leather boots for quick movement. Thureophoroi could skirmish, as well as fight in a phalanx when necessary. They were often stationed on the flanks of the traditional pike phalanx as a link between the heavier pikemen and the cavalry wings.</History>
+    <Icon>units/mace_thureophoros.png</Icon>
+	<RequiredTechnology>phase_city</RequiredTechnology>
+  </Identity>
+  <VisualActor>
+    <Actor>units/macedonians/thureophoros.xml</Actor>
+  </VisualActor>
+</Entity>
Index: binaries/data/mods/public/simulation/templates/units/mace_thorakites.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/mace_thorakites.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/units/mace_thorakites.xml	(nonexistent)
@@ -1,30 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<Entity parent="template_unit_champion_infantry_swordsman">
-  <Armour>
-    <Hack op="add">2</Hack>
-    <Pierce op="add">2</Pierce>
-  </Armour>
-  <Attack>
-    <Melee>
-      <Hack op="add">-2</Hack>
-    </Melee>
-  </Attack>
-  <Cost>
-    <Resources>
-      <food>0</food>
-      <metal op="mul">2</metal>
-    </Resources>
-  </Cost>
-  <Identity>
-    <Civ>mace</Civ>
-    <Lang>greek</Lang>
-	<GenericName>Armored Swordsman</GenericName>
-    <SpecificName>Thōrakitēs</SpecificName>
-    <History>Thōrakitai were soldiers similar to Thyreophóroi. The literal translation of the term is curassiers, which suggests that they may have worn a short Celtic mail shirt or possibly a thorax. Thorakitai were used in armies of the Hellenistic Period in a variety of tactical situations. They were a type of armored but mobile infantry who did not require a rigid formation to be effective in combat. From their name we can deduce that most wore armor and helmet. They bore a thureos (or thyreos), an oblong shield, and were armed with sword, javelins and spear, which were used according to their tactical use. It seems that the thorakitai were heavily armored thureophoroi, able to bear spears and do battle in a phalanx as well as irregularly attack the enemy in situations when such an action was required for tactical reasons, like to exploit or challenge rough terrain. Thorakitai are mentioned in the army of the Achaian League and in the army of the Seleucids. The Seleucid Thorakitai were used in the storming of the Elburz Range in 210 BC under Antiochus III. They were used with the lighter troops to climb the cliffs and fight hand to hand with the enemy who might have not been dislodged by the lighter troops in the assault. There is a tomb illustration from Sidon showing what could well be a thorakites. The fragmentary inscription indicates that he was an Anatolian.</History>
-    <Icon>units/mace_thorakites.png</Icon>
-	<RequiredTechnology>phase_city</RequiredTechnology>
-  </Identity>
-  <VisualActor>
-    <Actor>units/macedonians/thorakites.xml</Actor>
-  </VisualActor>
-</Entity>

Modification de propriétés sur binaries/data/mods/public/simulation/templates/units/mace_thorakites.xml
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:mime-type
## -1 +0,0 ##
-text/xml
\ No newline at end of property
Index: binaries/data/mods/public/simulation/templates/units/mace_thureophoros.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/mace_thureophoros.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/units/mace_thureophoros.xml	(nonexistent)
@@ -1,21 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<Entity parent="template_unit_champion_infantry_javelinist">
-  <Cost>
-    <Resources>
-      <food>0</food>
-      <metal op="mul">2</metal>
-    </Resources>
-  </Cost>
-  <Identity>
-    <Civ>mace</Civ>
-    <Lang>greek</Lang>
-    <GenericName>Heavy Skirmisher</GenericName>
-    <SpecificName>Thyreophóros</SpecificName>
-    <History>Thyreophóroi were a type of infantry soldier, common in the 3rd to 1st century BCE, who carried a large oval shield called a thureos which had a type of metal strip boss and a central spine. They were armed with a long thrusting spear, javelins and a sword. They also usually wore an iron or bronze Macedonian helmet. The thureos was probably originally an adapted form of a Celtic shield. Thracian and Illyrian infantry probably adopted the shield before the Greeks. However it has been suggested that the thureos was brought to Greece after Pyrrhus of Epirus' campaigns in Italy, as his Oscan allies and Roman enemies used the scutum. Thureophoroi were a 3rd century development on the Peltast and wore no body armor, but did wear sturdy leather boots for quick movement. Thureophoroi could skirmish, as well as fight in a phalanx when necessary. They were often stationed on the flanks of the traditional pike phalanx as a link between the heavier pikemen and the cavalry wings.</History>
-    <Icon>units/mace_thureophoros.png</Icon>
-	<RequiredTechnology>phase_city</RequiredTechnology>
-  </Identity>
-  <VisualActor>
-    <Actor>units/macedonians/thureophoros.xml</Actor>
-  </VisualActor>
-</Entity>

Modification de propriétés sur binaries/data/mods/public/simulation/templates/units/mace_thureophoros.xml
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:mime-type
## -1 +0,0 ##
-text/xml
\ No newline at end of property
Index: binaries/data/mods/public/simulation/templates/units/thrace_black_cloak.xml
===================================================================
--- binaries/data/mods/public/simulation/templates/units/thrace_black_cloak.xml	(révision 18484)
+++ binaries/data/mods/public/simulation/templates/units/thrace_black_cloak.xml	(nonexistent)
@@ -1,23 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<Entity parent="template_unit_champion_infantry_swordsman">
-  <Cost>
-    <BuildTime op="mul">0.5</BuildTime>
-    <Resources>
-      <food>0</food>
-      <metal op="mul">1.5</metal>
-    </Resources>
-  </Cost>
-  <Identity>
-    <Civ>gaia</Civ>
-    <Lang>greek</Lang>
-    <GenericName>Thracian Black Cloak</GenericName>
-    <SpecificName>Rhomphaiaphoros</SpecificName>
-    <History>Thracian tribesmen who wield the fiercesome rhomphaia polearm weapon in combat. They were ubiquitous mercenary swordsmen throughout Hellenistic times, sometimes even serving in two opposing armies.</History>
-    <VisibleClasses datatype="tokens">Mercenary</VisibleClasses>
-    <Icon>units/sele_infantry_swordsman.png</Icon>
-    <RequiredTechnology>phase_town</RequiredTechnology>
-  </Identity>
-  <VisualActor>
-    <Actor>units/hellenes/thracian_blackcloak.xml</Actor>
-  </VisualActor>
-</Entity>

Modification de propriétés sur binaries/data/mods/public/simulation/templates/units/thrace_black_cloak.xml
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:mime-type
## -1 +0,0 ##
-text/xml
\ No newline at end of property